package email

import (
	"testing"
)

func TestSend(t *testing.T) {
	(&Service{}).Init()
	err := Send("test@kumoly.io",
		[]string{"evanchen333@gmail.com"}, "Test Mail 2",
		&Body{
			Greeting:  "歡迎",
			Signature: "Best Regards",
			Intros:    []string{"testing 1.", "loramipsum...."},
			Outros:    []string{"testing 2,", "blah blah blah..."},
			Content: `
# Testing

a|b|c
-|-|-
test||
-|is| 
-|-|up`,
		},
	)
	if err != nil {
		t.Error(err)
	}
}
